Skip to main content
GET
/
workspaces
/
{workspace_id}
/
workflow-executions
/
{execution_id}
/
reset-points
Error
A valid request URL is required to generate request examples
[
  {
    "event_id": 2,
    "event_time": "2023-11-07T05:31:56Z",
    "event_type": "<string>",
    "label": "<string>",
    "is_start": false,
    "is_resettable": false
  }
]
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Authorizations

fastapiusersauth
string
cookie
required

Path Parameters

workspace_id
string<uuid>
required
execution_id
string
required

Query Parameters

limit
integer
default:100
Required range: 1 <= x <= 500

Response

Successful Response

event_id
integer
required
Required range: x >= 1
event_time
string<date-time>
required
event_type
string
required
label
string
required
is_start
boolean
default:false

True when this point maps to the earliest resettable point.

is_resettable
boolean
default:false

Whether the event can be used directly as a reset target.